from enum import Enum
from importlib import import_module
from typing import Any


def create_object(module_name: str, class_name: str, *args: list[Any], **kwargs: dict[Any, Any]) -> Any:
    module = import_module(module_name)

    cls = getattr(module, class_name)

    return cls(*args, **kwargs)


class LogLevel(Enum):
    DEBUG = "debug"
    INFO = "info"
    WARNING = "warning"
    ERROR = "error"
    CRITICAL = "critical"
    TRACE = "trace"
